Record (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record
Class Record

    java.lang.Object
      org.apache.hadoop.record.Record

All Implemented Interfaces:
  Cloneable, Comparable, Writable, WritableComparable

Direct Known Subclasses:
  RecordTypeInfo

    public abstract class Record

extends Object
implements WritableComparable, Cloneable

Abstract class that is extended by generated classes.

Constructor Summary
`Record()`

Method Summary
`abstract int` | `compareTo(Object peer)`
`void` | `deserialize(RecordInput rin)` Deserialize a record without a tag
`abstract void` | `deserialize(RecordInput rin, String tag)` Deserialize a record with a tag (usually field name)
`void` | `readFields(DataInput din)` Deserialize the fields of this object from `in`.
`void` | `serialize(RecordOutput rout)` Serialize a record without a tag
`abstract void` | `serialize(RecordOutput rout, String tag)` Serialize a record with tag (ususally field name)
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Record

    public Record()

Method Detail

### serialize

    public abstract void serialize(RecordOutput rout,
                                   String tag)
                            throws IOException

  Serialize a record with tag (ususally field name)

  Parameters:
    `rout` - Record output destination
    `tag` - record tag (Used only in tagged serialization e.g. XML)
  Throws:
    `IOException`

### deserialize

    public abstract void deserialize(RecordInput rin,
                                     String tag)
                              throws IOException

  Deserialize a record with a tag (usually field name)

  Parameters:
    `rin` - Record input source
    `tag` - Record tag (Used only in tagged serialization e.g. XML)
  Throws:
    `IOException`

### compareTo

    public abstract int compareTo(Object peer)
                           throws ClassCastException

  Specified by:
    `compareTo` in interface `Comparable`
  Throws:
    `ClassCastException`

### serialize

    public void serialize(RecordOutput rout)
                   throws IOException

  Serialize a record without a tag

  Parameters:
    `rout` - Record output destination
  Throws:
    `IOException`

### deserialize

    public void deserialize(RecordInput rin)
                     throws IOException

  Deserialize a record without a tag

  Parameters:
    `rin` - Record input source
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput din)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `din` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation